Subject: Re: [nfsv4] [OPS-DIR] Opsdir telechat review of draft-ietf-nfsv4-umask-03

From: [email-masked] (J. Bruce Fields)
Date: Thu, 20 Jul 2017 14:02:35 -0400

On Tue, May 23, 2017 at 02:59:03AM +0000, wangzitao wrote:
> I think the document is written very clear, except some small nits:
> Page 2: As a result, inherited ACEs describing ...
>         Suggest expanding the "ACE" or adding a reference since the term first appeared.

Done:

	http://git.linux-nfs.org/?p=bfields/NFSv4-umask.git;a=commitdiff;h=79ed0f4538e29b3e5158ad9cacb8233464a1ce58
	http://git.linux-nfs.org/?p=bfields/NFSv4-umask.git;a=commitdiff;h=4a797528e32766038008f693aa01a1235a9b1cf5

> Page 3: The same solution should work for NFS.
> 
>         Suggest adding a reference here.

The immediately preceding paragraph has a reference, I'm assuming that's
adequate.

>   ** The document seems to lack an Introduction section.

"Problem Statement" seems a better description to me here, and
https://tools.ietf.org/html/rfc7322#section-4.8.1 suggests this is OK,
so I'm sticking with that for now.

>   -- The document date (March 03, 2017) is 80 days in the past.  Is this
> 
>      intentional?

I believe that was correct.  In any case, it will be updated.

>   == Unused Reference:
...

I've removed all the unused references:

	http://git.linux-nfs.org/?p=bfields/NFSv4-umask.git;a=commitdiff;h=d4fe6a2ca472e31cefbca210f044d36fc0e8de86

>   -- Possible downref: Non-RFC (?) normative reference: ref. 'SUSv4'

Googling around lead me to rfc's 3967 and 7322....  I'd actually
overlooked that there were separate normative and informative sections.
I've moved this to the informative section:

	http://git.linux-nfs.org/?p=bfields/NFSv4-umask.git;a=commitdiff;h=c8c4752021f38740e3e958ebb5714a372717dfc5

Thanks!

--b.